> ## Documentation Index
> Fetch the complete documentation index at: https://developer.orchestro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Coverage-API

> This endpoint allows users to retrieve coverage information by providing an account number and service type (e.g., GRD). It returns a list of ZIP codes where the service is available for the specified service type.



## OpenAPI

````yaml get /api/v1/core/coverage
openapi: 3.0.3
info:
  title: Satge-e1-David-Sep13
  description: This is an Open API Spec file
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-stage.orchestro.ai/e1/
    description: Sandbox Environment
  - url: https://api-stage.orchestro.ai
    description: Production Environment
security:
  - ApiKeyAuth: []
tags:
  - name: Origin Carrier
paths:
  /api/v1/core/coverage:
    get:
      tags:
        - Origin Carrier
      summary: Coverage-API
      description: >-
        This endpoint allows users to retrieve coverage information by providing
        an account number and service type (e.g., GRD). It returns a list of ZIP
        codes where the service is available for the specified service type.
      operationId: coverageApiGrd
      parameters:
        - name: accountNumber
          in: query
          required: true
          schema:
            type: string
            example: AC0088
          description: >-
            The account number of the user or entity requesting the coverage
            information. This is a required parameter and must be passed in the
            query
        - name: serviceType
          in: query
          required: true
          schema:
            type: string
            example: GRD/DGRD
          description: The type of service for which coverage is being requested.
      responses:
        '200':
          description: Coverage API request Successful for GRD/DGRD
          headers:
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '339405'
            Date:
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:35:00 GMT
            Via:
              schema:
                type: string
                example: >-
                  1.1 ac8125882b03042c3557fc96ae234ffa.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: GqkRggbSKDf6m9--JEI2j9Jg3RxRcaUVbOC9WqHHlX2P0B48FQSInQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: CDG52-P3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-amz-apigw-id:
              schema:
                type: string
                example: eRWSXGNVIAMEscg=
            x-amzn-Remapped-Connection:
              schema:
                type: string
                example: keep-alive
            x-amzn-Remapped-Content-Length:
              schema:
                type: string
                example: '339405'
            x-amzn-Remapped-Date:
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:35:00 GMT
            x-amzn-RequestId:
              schema:
                type: string
                example: 21f78364-e5a9-403f-a029-94036e4413a4
          content:
            application/json:
              schema:
                type: object
                properties:
                  coverage:
                    type: array
                    items:
                      type: object
                      properties:
                        serviceType:
                          type: string
                          example: GRD
                        zip:
                          type: array
                          items:
                            type: string
                            example: '01001'
                          example:
                            - '01001'
                            - '01002'
                            - '01003'
                            - '01004'
                            - '01007'
                            - '01009'
                            - '01010'
                            - '01013'
                            - '01014'
                            - '01020'
                            - '01021'
                            - '01022'
                            - '01027'
                    example:
                      - serviceType: GRD
                        zip:
                          - '01001'
                          - '01002'
                          - '01003'
                          - '01004'
                          - '01007'
                          - '01009'
                          - '01010'
                          - '01013'
                          - '01014'
                          - '01020'
                          - '01021'
                          - '01022'
                          - '01027'
              examples:
                coverage-API-DGRD:
                  value:
                    coverage:
                      - serviceType: DGRD
                        zip:
                          - '00501'
                          - '00544'
                          - '00579'
                          - '04773'
                          - '04774'
                          - '04775'
                          - '04776'
                          - '04777'
                          - '04779'
                          - '04780'
                          - '04781'
                          - '04783'
                          - '04785'
                coverage-API-GRD:
                  value:
                    coverage:
                      - serviceType: GRD
                        zip:
                          - '01001'
                          - '01002'
                          - '01003'
                          - '01004'
                          - '01007'
                          - '01009'
                          - '01010'
                          - '01013'
                          - '01014'
                          - '01020'
                          - '01021'
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````